| old-locale-1.0.0.1: locale library | Source code | Contents | Index

System.Locale

Portability | portable
Stability | stable
Maintainer | libraries@haskell.org

Description
This module provides the ability to adapt to local conventions. At present, it supports only time and date information as used by System.Time.calendarTimeToString from the System.Time module in the old-time package.
Synopsis

data TimeLocale = TimeLocale {

wDays :: [(String, String)]
months :: [(String, String)]
intervals :: [(String, String)]
amPm :: (String, String)
dateTimeFmt :: String
dateFmt :: String
timeFmt :: String
time12Fmt :: String

}

defaultTimeLocale :: TimeLocale
iso8601DateFormat :: Maybe String -> String
rfc822DateFormat :: String

Documentation

data TimeLocale | Source

Constructors

TimeLocale |

wDays :: [(String, String)] | full and abbreviated week days
months :: [(String, String)] | full and abbreviated months
intervals :: [(String, String)] |
amPm :: (String, String) | AM/PM symbols
dateTimeFmt :: String | formatting strings
dateFmt :: String | formatting strings
timeFmt :: String | formatting strings
time12Fmt :: String | formatting strings

Instances

Eq TimeLocale
Ord TimeLocale
Show TimeLocale

defaultTimeLocale :: TimeLocale | Source

iso8601DateFormat :: Maybe String -> String | Source

Normally, ISO-8601 just defines YYYY-MM-DD but we can add a time spec.

rfc822DateFormat :: String | Source

Produced by Haddock version 2.4.2